httpd-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Declerck Michael-W30479" <W30...@motorola.com>
Subject RE: [users@httpd] mod_authnz_ldap for 2.2.2
Date Thu, 27 Jul 2006 22:30:28 GMT
My current situation of mod_authnz_ldap is still not good.

The issue was the ldap libraries which I had downloaded from the
OpenLDAP source.
The libraries were being installed in /usr/local/lib.
I had to point LDFLAGS to -L/usr/local/lib, and CPPFLAGS and CFLAGS to
-I/usr/local/include.
The Apache configure had no errors with these environment variables.

Unfortunately,
I get these errors during the Apache make:
server/.libs/libmain.a(exports.o):(.data+0xe48): undefined reference to
`apr_ldap_ssl_init'
server/.libs/libmain.a(exports.o):(.data+0xe4c): undefined reference to
`apr_ldap_ssl_deinit'
server/.libs/libmain.a(exports.o):(.data+0xe50): undefined reference to
`apr_ldap_init'
server/.libs/libmain.a(exports.o):(.data+0xe54): undefined reference to
`apr_ldap_info'
server/.libs/libmain.a(exports.o):(.data+0xe58): undefined reference to
`apr_ldap_get_option'
server/.libs/libmain.a(exports.o):(.data+0xe5c): undefined reference to
`apr_ldap_set_option'
server/.libs/libmain.a(exports.o):(.data+0xe60): undefined reference to
`apr_ldap_is_ldap_url'
server/.libs/libmain.a(exports.o):(.data+0xe64): undefined reference to
`apr_ldap_is_ldaps_url'
server/.libs/libmain.a(exports.o):(.data+0xe68): undefined reference to
`apr_ldap_is_ldapi_url'
server/.libs/libmain.a(exports.o):(.data+0xe6c): undefined reference to
`apr_ldap_url_parse_ext'
server/.libs/libmain.a(exports.o):(.data+0xe70): undefined reference to
`apr_ldap_url_parse'
modules/aaa/.libs/libmod_authnz_ldap.a(mod_authnz_ldap.o): In function
`mod_auth_ldap_parse_url':mod_authnz_ldap.c:(.text+0x1e84): undefined
reference to `apr_ldap_url_parse'
collect2: ld returned 1 exit status
make[1]: *** [httpd] Error 1

I have very little idea of what to do.
Any help at all is appreciated.


-----Original Message-----
From: Declerck Michael-W30479 
Sent: Thursday, July 20, 2006 2:31 PM
To: users@httpd.apache.org
Subject: RE: [users@httpd] mod_authnz_ldap for 2.2.2

Kenneth,
Thank you for the redirect to /usr/lib/apache2/modules/, I was wondering
why none of the modules had the .so extension in the mods-available/
directory.
Upon looking in that folder, I found a mod_auth_ldap.so module which the
link below suggests was replaced by mod_authnz_ldap in the Apache2.2
release.

The documentation said that the most significant change between 2.0 and
2.2 was the authorization modules
(http://httpd.apache.org/docs/2.2/upgrading.html).
I have been searching around in the Ubuntu Dapper servertalk and howto
forums, but have found nothing as yet.

I am going to try to use the mod_auth_ldap.so and see how the Apache
takes it.
I will let you know what happens Kenneth.

If anyone has found anywhere to download standard 2.2 modules such as
mod_auth_basic, mod_authn_file, mod_authz_user, mod_authz_groupfile, and
mod_authnz_ldap please let me know. 
Your help is always appreciated.

Michael DeClerck

-----Original Message-----
From: Kenneth Stueflotten Svee [mailto:k.s.svee@usit.uio.no]
Sent: Thursday, July 20, 2006 3:43 AM
To: users@httpd.apache.org
Subject: Re: [users@httpd] mod_authnz_ldap for 2.2.2

[ Declerck Michael-W30479 ]

> Hello,
> I installed Apache2.2.2 several weeks ago on my Ubuntu Linux machine 
> (which is similar to Debian), and also on my Windows XP machine. I 
> went to my /etc/apache2/mods-available/ directory looking for the 
> mod_authnz_ldap package which (according to
> http://httpd.apache.org/docs/2.2/mod/) should be available.

Seems to be an Ubuntu build issue. You should try the Ubuntu-support
features (forums and whatnot).


> However, the mod_authnz_ldap module does not exist in that directory, 
> nor do many other modules which the Apache documentation suggests 
> should exist.

The modules them selves are found (on my Ubuntu Dapper) in
/usr/lib/apache2/modules/, and haven't found any mod_authnz_ldap.so
either. The module is however not enabled by default when compiling
Apache2.2, so it may be it's available as an addon, but a quick
apt-cache search did not reveal anything. Again, try the Ubuntu forum.


Rgds,
Kenneth Svee

---------------------------------------------------------------------
The official User-To-User support forum of the Apache HTTP Server
Project.
See <URL:http://httpd.apache.org/userslist.html> for more info.
To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
   "   from the digest: users-digest-unsubscribe@httpd.apache.org
For additional commands, e-mail: users-help@httpd.apache.org


---------------------------------------------------------------------
The official User-To-User support forum of the Apache HTTP Server
Project.
See <URL:http://httpd.apache.org/userslist.html> for more info.
To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
   "   from the digest: users-digest-unsubscribe@httpd.apache.org
For additional commands, e-mail: users-help@httpd.apache.org


---------------------------------------------------------------------
The official User-To-User support forum of the Apache HTTP Server Project.
See <URL:http://httpd.apache.org/userslist.html> for more info.
To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
   "   from the digest: users-digest-unsubscribe@httpd.apache.org
For additional commands, e-mail: users-help@httpd.apache.org


Mime
View raw message